com.explodingpixels.macwidgets

## Class ComponentBottomBar

- java.lang.Object
- - com.explodingpixels.macwidgets.TriAreaComponent
  - - com.explodingpixels.macwidgets.ComponentBottomBar

    public class ComponentBottomBar
    extends TriAreaComponent

### Method Summary

Methods
`void` `addComponentToCenterWithBorder(JComponent toolToAdd)`
`void` `addComponentToLeftWithBorder(JComponent toolToAdd)`
`void` `addComponentToRightWithBorder(JComponent toolToAdd)`

### Methods inherited from class com.explodingpixels.macwidgets.TriAreaComponent

`addComponentToCenter, addComponentToCenter, addComponentToLeft, addComponentToLeft, addComponentToRight, addComponentToRight, getCenterComponentCount, getComponent, getLeftComponentCount, getRightComponentCount, installWindowDraggerOnWindow, setBackgroundPainter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addComponentToLeftWithBorder

    public void addComponentToLeftWithBorder(JComponent toolToAdd)

#### addComponentToCenterWithBorder

    public void addComponentToCenterWithBorder(JComponent toolToAdd)

#### addComponentToRightWithBorder

    public void addComponentToRightWithBorder(JComponent toolToAdd)